Page MenuHomePhabricator

Upgrade Horizon to version 'train'
Closed, ResolvedPublic

Description

Now that we're running semi-modern apis in all projects, it should be possible to upgrade our Horizon deploy by quite a bit.

Details

Related Gerrit Patches:
operations/puppet : productionmove labweb1001/1002 to horizon 'train'
openstack/horizon/deploy : trainUpdate horizon submodule
openstack/horizon/horizon : trainWMF Hack: remove several instance functions that we don't support
openstack/horizon/horizon : trainWMF Hack: remove the 'Interfaces' tab from the instance detail view
openstack/horizon/deploy : trainUpdate Horizon submodule
openstack/horizon/deploy : trainmake_wheels: don't build a wheel for horizon
operations/puppet : productionhorizon: replace apache site venv dir with an .erb lookup
operations/puppet : productionHorizon: update apache site to use Horizon's new wsgi.py
openstack/horizon/deploy : trainUpdate upper-constraints.txt and requirements.txt for train
openstack/horizon/wheels : trainUpdate wheels (again) for Train
openstack/horizon/deploy : traindjango_openstack_auth no longer exists in modern Horizon.
openstack/horizon/horizon : trainBump django requirement to a minimum of 2.
operations/puppet : productionHorizon: add 'train' versions of designate and neutron policy.json
operations/puppet : productioncodfw1dev: move to Horizon version 'train'
operations/puppet : productionHorizon: update some horizon settings for Train
operations/puppet : productionHorizon: add config files for 'train'
openstack/horizon/deploy : trainUpdate wheels submodule for train
openstack/horizon/wheels : trainRebuild wheels for 'train' branch
openstack/horizon/deploy : trainMark all submodules for 'train' branch

Event Timeline

Andrew created this task.Dec 6 2019, 6:13 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2019, 6:13 AM

Change 555017 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/deploy@train] Mark all submodules for 'train' branch

https://gerrit.wikimedia.org/r/555017

Change 555017 merged by Andrew Bogott:
[openstack/horizon/deploy@train] Mark all submodules for 'train' branch

https://gerrit.wikimedia.org/r/555017

Change 555021 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/wheels@train] Rebuild wheels for 'train' branch

https://gerrit.wikimedia.org/r/555021

Change 555021 merged by Andrew Bogott:
[openstack/horizon/wheels@train] Rebuild wheels for 'train' branch

https://gerrit.wikimedia.org/r/555021

Change 555022 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/deploy@train] Update wheels submodule for train

https://gerrit.wikimedia.org/r/555022

Change 555022 merged by Andrew Bogott:
[openstack/horizon/deploy@train] Update wheels submodule for train

https://gerrit.wikimedia.org/r/555022

Change 555030 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Horizon: add config files for 'train'

https://gerrit.wikimedia.org/r/555030

Change 555031 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Horizon: update some horizon settings for Train

https://gerrit.wikimedia.org/r/555031

Change 555032 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] codfw1dev: move to Horizon version 'train'

https://gerrit.wikimedia.org/r/555032

Change 555030 merged by Andrew Bogott:
[operations/puppet@production] Horizon: add config files for 'train'

https://gerrit.wikimedia.org/r/555030

Change 555031 merged by Andrew Bogott:
[operations/puppet@production] Horizon: update some horizon settings for Train

https://gerrit.wikimedia.org/r/555031

Change 555032 merged by Andrew Bogott:
[operations/puppet@production] codfw1dev: move to Horizon version 'train'

https://gerrit.wikimedia.org/r/555032

Change 555258 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Horizon: add 'train' versions of designate and neutron policy.json

https://gerrit.wikimedia.org/r/555258

Change 555258 merged by Andrew Bogott:
[operations/puppet@production] Horizon: add 'train' versions of designate and neutron policy.json

https://gerrit.wikimedia.org/r/555258

Change 555622 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/horizon@train] Bump django requirement to a minimum of 2.

https://gerrit.wikimedia.org/r/555622

Change 555622 merged by Andrew Bogott:
[openstack/horizon/horizon@train] Bump django requirement to a minimum of 2.

https://gerrit.wikimedia.org/r/555622

Change 555625 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/deploy@train] django_openstack_auth no longer exists in modern Horizon.

https://gerrit.wikimedia.org/r/555625

Change 555625 merged by Andrew Bogott:
[openstack/horizon/deploy@train] django_openstack_auth no longer exists in modern Horizon.

https://gerrit.wikimedia.org/r/555625

Change 555636 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/wheels@train] Update wheels (again) for Train

https://gerrit.wikimedia.org/r/555636

Change 555636 merged by Andrew Bogott:
[openstack/horizon/wheels@train] Update wheels (again) for Train

https://gerrit.wikimedia.org/r/555636

Change 555637 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/deploy@train] Update upper-constraints.txt and requirements.txt for train

https://gerrit.wikimedia.org/r/555637

Change 555637 merged by Andrew Bogott:
[openstack/horizon/deploy@train] Update upper-constraints.txt and requirements.txt for train

https://gerrit.wikimedia.org/r/555637

Change 555704 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Horizon: update apache site to use Horizon's new wsgi.py

https://gerrit.wikimedia.org/r/555704

Change 555704 merged by Andrew Bogott:
[operations/puppet@production] Horizon: update apache site to use Horizon's new wsgi.py

https://gerrit.wikimedia.org/r/555704

Change 555705 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] horizon: replace apache site venv dir with an .erb lookup

https://gerrit.wikimedia.org/r/555705

Change 555705 merged by Andrew Bogott:
[operations/puppet@production] horizon: replace apache site venv dir with an .erb lookup

https://gerrit.wikimedia.org/r/555705

Change 555707 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/deploy@train] make_wheels: don't build a wheel for horizon

https://gerrit.wikimedia.org/r/555707

Change 555707 merged by Andrew Bogott:
[openstack/horizon/deploy@train] make_wheels: don't build a wheel for horizon

https://gerrit.wikimedia.org/r/555707

Change 555712 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/deploy@train] Update Horizon submodule

https://gerrit.wikimedia.org/r/555712

Change 555712 merged by Andrew Bogott:
[openstack/horizon/deploy@train] Update Horizon submodule

https://gerrit.wikimedia.org/r/555712

Andrew added a comment.Dec 8 2019, 3:03 AM

Train/Horizon is now running on cloudweb2001-dev and seems to work fine. We can probably go ahead and deploy this after we upgrade to Ocata in eqiad1.

For better or worse, the Train release of Horizon is not dramatically different from Ocata. It has a few prettier widgets and (probably) support for lots of services that we don't use. It also feels a bit faster.

Change 558343 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/horizon@train] WMF Hack: remove the 'Interfaces' tab from the instance detail view

https://gerrit.wikimedia.org/r/558343

Change 558344 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/horizon@train] instance panel: remove several instance functions that we don't support

https://gerrit.wikimedia.org/r/558344

Change 558343 merged by Andrew Bogott:
[openstack/horizon/horizon@train] WMF Hack: remove the 'Interfaces' tab from the instance detail view

https://gerrit.wikimedia.org/r/558343

Change 558344 merged by Andrew Bogott:
[openstack/horizon/horizon@train] WMF Hack: remove several instance functions that we don't support

https://gerrit.wikimedia.org/r/558344

Change 558345 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/deploy@train] Update horizon submodule

https://gerrit.wikimedia.org/r/558345

Change 558345 merged by Andrew Bogott:
[openstack/horizon/deploy@train] Update horizon submodule

https://gerrit.wikimedia.org/r/558345

Change 558348 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] move labweb1001/1002 to horizon 'train'

https://gerrit.wikimedia.org/r/558348

Change 558348 merged by Andrew Bogott:
[operations/puppet@production] move labweb1001/1002 to horizon 'train'

https://gerrit.wikimedia.org/r/558348

Andrew closed this task as Resolved.Dec 17 2019, 9:47 AM